WPMU-DIXI theme http 500 error

Hi,

I'm not sure yet, but there may have run into an issue with using theme. I'm getting a PHP error that seems to be causing the 500 error. I hope to get to the bottom of this soon.

1). Do you have any reported issues with this theme?
2). Please verify that you still support this theme.

Larry

    tishimself

    Hi,
    It turned out to be a compatibility issue with PHP 5.4 so going to 5.6 resolved the pr

    But that does not change my issue with being a long term paying member of WPMU when there is no longer support. Is there an upgrade path to a new theme? I doubt that, but seems it needs to be asked.

    Do you have any themes that don't rely on FrontPage, because that tool does not cut it for me an my iPad.

    Give me a reason to stay with WPMU.

    Larry

    Vaughan

    Hi,

    Do you mean Upfront? not FrontPage.

    We only have Upfront themes now, we retired all the old themes it's been well over a year now since then.

    As for reasons for staying, well i'm no sales guy, i couldn't sell ice to a nomad in the desert. lol

    However, we do have great support staff here, and as for plugins, well it depends on what plugins you use, Defender is fast becoming an awesome plugin that will be a must-use kind of plugin, Hummingbird & WP smush Pro are getting some good praises.

    I guess it all boils down to what you're actually wanting from the membership itself.

    Upfront is a good theme if you like page builders, but it does have a steep learning curve IMO.

    Regards.

    tishimself

    "Great Support"? Yes and no:

    Yes I meant Upfront, but It does not support my iPad.

    For some reason you stopped supporting Dixi, which was one of my reasons for paying for support and using that theme and others. I suppose there was an announcement somewhere back when this happened.

    So, I need to find a theme to replace the Dixi theme. I would like a Parallax theme like I use for mytr4.com, which I paid for in addition to paying for WPMU. In my humble opinion, these types of themes are a nice. But you never got into them unless I use upfront. So likely as not, I will not be using a theme supported by WPMU. Yes, this is another suport issue.

    While I'm not 100% sure, but there is some evidence that one of your plugins no longer liked my older PHP. Now fixed, but also no warning ahead of time.

    Your scanning tool can't even tell that my site runs WP. It seems to to be more of a sales tool.
    But I use Rocket not Hummingbird. I used Smushit on the images, yet your scanning tool says I didn't. I use GTMETRIX for freebee scanning.

    I agree that you have talented staff. But I think management decisions have taken WPMU
    away from supporting some of my needs.

    No problem that you are not part of sales.

    Larry

    Vaughan

    Hi,

    That could be a possibility if the file paths have changed as we assume a default install and it's difficult to detect changed paths remotely.

    Are you using the WPMUDEV dashboard plugin & Smush Pro, or the free version of smush it from wp.org?

    Let us know what the support guys say, i'd be interested to know.

    That's not something I've ever come across tho personally.

    Thanks

    tishimself

    Hi,

    It appears that the 1Password Alert was very poorly phrased and is just telling me to update my password. Sorry about that. I let them know I was unhappy with that erroneous Alert.

    I don't use your freebee plugins only those downloaded from your website.

    Now I do have some serious questions:
    1). Would you consider providing ONE html5 responsive Parallax theme that does not require Upfront? I think all of your themes require the use of Upfront.

    2)
    a. Are your themes compatible with the Yoast Premium and local plugins. These are important for my SEO efforts.
    B. Are your themes inherently mobile ready.

    3). Will my iPad use ever be supported by Upfront?

    4). What version of PHP should I be using? 5.6 seems to be causing some errors based on the freebee PHP Compatibility plugin. I just started using it after the 500 PHP related issue.

    I hope you don't mind the additional questions
    Larry

    Vaughan

    Hi,

    #1 I can't guarantee anything i'm afraid, we're mainly focussing on Upfront these days, but I will certainly put in a request.

    #2a The Upfront themes should be, Many of our old retired themes might be, but I can't guarantee.
    #2b Most of the retired themes aren't responsive it all, so no. But Upfront certainly.

    #3 It should be supported already by Upfront, though I suppose depends on the age/model. But Upfront does have a responsive mode. However, for various devices, you may need manually mess with and add CSS using @media queries. I believe there's currently some bugs which prevent @media queries being saved, but you can manually add them in settings.php in the theme folder. A lot of manual work tho.

    #4 The older themes that we no longer support will probably work best on 5.3, however as time goes on, you'll find more issues unless you get a developer to keep updating them.

    Currently I use 5.6 myself. But many are shifting towards PHP7.x

    Hope this helps

    tishimself

    Hi,

    I am in the early stages of setting up an Alpha site to learn how to use Upfront themes and Upfront Builder. Installed and activated all the themes. Not sure which is best for a CMS.
    Seems like I should aim for PHP 7 compatibility, are these really show stoppers:
    * 4 Warnings and 1 error with WPMU DEV Dashboard and
    * 12 errors with Upfront (Not Upfront Builder) which has me a bit confused:

    This may be kinda ugly to read, but this is the text from the compatibility checker:
    Upfront errors 12
    FILE: /home/mpgorg/public_html/my-book/themes/upfront/library/models/class_upfront_entity_resolver.php
    -------------------------------------------------------------------------------------------------------------------------
    FOUND 1 ERROR AFFECTING 1 LINE
    -------------------------------------------------------------------------------------------------------------------------
    143 | ERROR | 'clone' is a reserved keyword introduced in PHP version 5.0 and cannot be invoked as a function (T_CLONE)
    -------------------------------------------------------------------------------------------------------------------------

    FILE: /home/mpgorg/public_html/my-book/themes/upfront/elements/upfront-posts/loader.php
    -------------------------------------------------------------------------------------------------------------------------
    FOUND 1 ERROR AFFECTING 1 LINE
    -------------------------------------------------------------------------------------------------------------------------
    180 | ERROR | 'clone' is a reserved keyword introduced in PHP version 5.0 and cannot be invoked as a function (T_CLONE)
    -------------------------------------------------------------------------------------------------------------------------

    FILE: /home/mpgorg/public_html/my-book/themes/upfront/elements/upfront-posts/lib/class_upfront_posts_posts_view.php
    ------------------------------------------------------------------------------------------------------------------------
    FOUND 2 ERRORS AFFECTING 2 LINES
    ------------------------------------------------------------------------------------------------------------------------
    65 | ERROR | 'clone' is a reserved keyword introduced in PHP version 5.0 and cannot be invoked as a function (T_CLONE)
    92 | ERROR | 'clone' is a reserved keyword introduced in PHP version 5.0 and cannot be invoked as a function (T_CLONE)
    ------------------------------------------------------------------------------------------------------------------------

    FILE: /home/mpgorg/public_html/my-book/themes/upfront/elements/upfront-comment/lib/upfront_comment.php
    ------------------------------------------------------------------------------------------------------------------------
    FOUND 4 ERRORS AFFECTING 4 LINES
    ------------------------------------------------------------------------------------------------------------------------
    75 | ERROR | 'clone' is a reserved keyword introduced in PHP version 5.0 and cannot be invoked as a function (T_CLONE)
    78 | ERROR | 'clone' is a reserved keyword introduced in PHP version 5.0 and cannot be invoked as a function (T_CLONE)
    93 | ERROR | 'clone' is a reserved keyword introduced in PHP version 5.0 and cannot be invoked as a function (T_CLONE)
    94 | ERROR | 'clone' is a reserved keyword introduced in PHP version 5.0 and cannot be invoked as a function (T_CLONE)
    ------------------------------------------------------------------------------------------------------------------------

    FILE: /home/mpgorg/public_html/my-book/themes/upfront/elements/upfront-post-data/lib/parts/class_upfront_post_data_partview_comments.php
    ----------------------------------------------------------------------------------------------------------------------------------------
    FOUND 4 ERRORS AFFECTING 4 LINES
    ----------------------------------------------------------------------------------------------------------------------------------------
    336 | ERROR | 'clone' is a reserved keyword introduced in PHP version 5.0 and cannot be invoked as a function (T_CLONE)
    339 | ERROR | 'clone' is a reserved keyword introduced in PHP version 5.0 and cannot be invoked as a function (T_CLONE)
    354 | ERROR | 'clone' is a reserved keyword introduced in PHP version 5.0 and cannot be invoked as a function (T_CLONE)
    355 | ERROR | 'clone' is a reserved keyword introduced in PHP version 5.0 and cannot be invoked as a function (T_CLONE)
    ----------------------------------------------------------------------------------------------------------------------------------------

    WPMU Dashboard Warnings 4 errors 1
    FILE: /home/mpgorg/public_html/my-book/plugins/wpmudev-updates/template/support-system.php
    ----------------------------------------------------------------------------------------------------------------------------------------------------
    FOUND 1 ERROR AND 4 WARNINGS AFFECTING 5 LINES
    ----------------------------------------------------------------------------------------------------------------------------------------------------
    77 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead.
    313 | WARNING | Function name "__render_list" is discouraged; PHP has reserved all method names with a double underscore prefix for future use
    334 | WARNING | Function name "__error_reporting" is discouraged; PHP has reserved all method names with a double underscore prefix for future use
    376 | WARNING | Function name "__value_format" is discouraged; PHP has reserved all method names with a double underscore prefix for future use
    390 | WARNING | Function name "__const_format" is discouraged; PHP has reserved all method names with a double underscore prefix for future use
    ----------------------------------------------------------------------------------------------------------------------------------------------------

    Larry

    tishimself

    Hi, I probably need to start up a new topic, but maybe next time.

    Performance for my well tuning and oiled Dixi theme site is usually under 1.5s on GTMETRIX. As part of my tests today it came it at 1.1s. I consider this critical for marketing purposes. It does not have a lot of images, it may best be described as a CMS site.

    My question, is will an Upfront site performance be comparable?
    My Alpha test site is far from well tuned. It clocks in around 6.5s so I have some work to do before I get much further along in my testing. The free Full Frame responsive html5 theme clocks in at 3.8s. I think it will be my base for comparison. I will start by getting it in shape.

    However, when I activate the Upfront themes such as Scribe, Spirit, Gille, Issue, Panino, Fixer or Luke the timings are between 6.7 and 11.9s. Scribe and Issue do the best. Note: no image tweaking or tuning, just activated the themes.

    Will Upfront themes load as fast as other themes such as 2017 or Full Frame?
    Just looking for a swag from the Upfront theme pros b4 I start chasing some wild geese.

    Larry